/*
**	PROMOD Standards - contains only the required section
**	may be expanded by INCL utility to get a version,
**	which does not need INLC
*/

# ifdef __REQUIRED__

version.h
promsetsys.h
promdef.h
promdef2.h
promsys.h
promtrace.h
clb_func.h

# endif

# if 0
VERS____( ProMod standards header, Gl/Liv/Krz/Sei,  92/01/03)
# endif


/******************************************************************************
:++
:HEADER_FILE	"promstd.h"	"Main Standard Header"

:PURPOSE

Standard Header File, in dem der Umfang der Standard Header definiert wird.

:para
Es wird die Benutzung der INCL Utility nahegelegt. Dazu mu"s in jedem C, C++
Programm eine sogenannte REQUIRED Section definiert sein, in der alle von der
Source ben"otigten Header Files aufgelistet sind. Die Header k"onnen wieder
eine REQUIRED Section enthalten, falls sie andere Header voraussetzen. Die
Section wird in '#ifdef __REQUIRED__' und '#endif' eingeschlossen. Die INCL
Utility durchsucht die Source und alle aufgef"uhrten Header rekursiv auf solche
Sections und bildet einen File 'filename.inc' in dem Include-Anweisungen f"ur
alle Header stehen. Es steht dann nur noch eine Include-Anweisung
auf den File 'filename.inc.' in dem Source File. Zyklische Abh"angigkeiten in den
REQUIRED Sections werden erkannt und als Fehler gemeldet.

:para
Als zweites wird INCL dazu benutzt, um Macros zur Beschreibung von
Abh"angigkeiten f"ur MMS Description Files zu generieren.

:para
Der File 'promstd.h' selbst enth"alt nur eine REQUIRED Section. Er kann daher
dazu benutzt werden, mittels INCL eine Arbeitsversion von 'promstd.h' zu
generieren, die einem "".inc-File"" entspricht. Diese kann dann in Programmen
genutzt werden, die nicht auf INCL eingerichtet sind.

:para
F"ur die Benutzung der INCL Utility steht ein Command File 'gen_inc.cmd'
zur Verf"ugung, in dem die Plattform (z. B. ""VMS"") definiert und die System
Header Files korrekt deklariert sind (d. h. mit der Angabe, ob es sich um C oder C++
header handelt). 'gen_inc.cmd' mu"s immer als erster File von INCL gelesen
werden.

:para
Die Reihenfolge ist ""left depth first"", so da"s alle ben"otigten Header vor
denen stehen, die sie brauchen. Hierbei werden zuerst die Systemheader und am
Schlu"s die von der PROTO Utility generierten Headerfiles aufgef"uhrt.

:ENDPURPOSE
:--
******************************************************************************/

